EMACS UI: fix windows splitting
Status: Closed Start date: 02 Aug 2013
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: EmacsUl Estimated time: 0.00 hour
Target version: CoCoA-5.1.1 Seoul14 Spent time: 0.75 hour
Description

It seems that newer versions are "clever" and prefer to split horizontally the window is wide.

That causes cocoa5-mode to split the window 3 ways: first vertically, as the code says, and then horizontally to use the right part of
the screen.

. LHfix it

Related issues:
Related to CoCoA-5 - Feature #464: Emacs Ul: split horizontally instead of ve... Closed 11 Mar 2014

History

#1 - 02 Aug 2013 16:21 - Anna Maria Bigatti

This is the "wrong" code: keeps the window layout seems false with new version of emacs

(defun try-pop-to-buffer (buffer)
"Switch to buffer, if it exists."
(let ((buf (get-buffer buffer))
(if buf
; switches buffer, but keeps the window layout:
; never changes the number and the sizes of the visible windows in the current frame.
(pop—-to-buffer buf)
;7 would destroy the window layout: (switch-to-buffer buf)
(message "No buffer \"%s\"." buffer))))

#2 - 25 Mar 2014 17:35 - John Abbott

- Status changed from New to In Progress

#3 - 25 Mar 2014 17:36 - John Abbott
- Target version changed from CoCo0A-5.0.9 to CoCoA-5.1.0 Easter14

#4 - 07 May 2014 13:45 - John Abbott
- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#5 - 02 Jul 2014 16:03 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 10 to 100
This is discussed (and solved) in #464
Instead of trying to be clever now there are two entries in the CoCoA-5 menu to select horizontal or vertical splitting removing all spurious buffers.

#6 - 02 Jul 2014 16:03 - Anna Maria Bigatti

- Subject changed from Emacs User Interface: fix windows splitting to EMACS Ul: fix windows splitting
